package net.ferrum.business.service;

import net.ferrum.business.domain.QsProjects;
import net.ferrum.business.domain.vo.QsProjectsVo;
import net.ferrum.business.domain.bo.QsProjectsBo;
import net.ferrum.common.core.page.TableDataInfo;
import net.ferrum.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目管理Service接口
 *
 * @author ruoyi
 * @date 2025-07-19
 */
public interface IQsProjectsService {

    /**
     * 查询项目管理
     */
    QsProjectsVo queryById(Long projectId);

    /**
     * 查询项目
     */
    QsProjects selectById(Long projectId);

    /**
     * 查询项目管理列表
     */
    TableDataInfo<QsProjects> queryPageList(QsProjects entity, PageQuery pageQuery);

    /**
     * 查询项目管理列表
     */
    List<QsProjectsVo> queryList(QsProjectsBo bo);

    /**
     * 新增项目管理
     */
    Boolean insertByBo(QsProjectsBo bo);

    /**
     * 修改项目管理
     */
    Boolean updateByBo(QsProjectsBo bo);

    /**
     * 校验并批量删除项目管理信息
     */
    String deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 校验项目是否已经开工
     *
     * @param projectId 项目ID
     * @return 结果
     */
    public boolean checkProjectInProcessing(Long projectId);
}
